@import url('https://fonts.googleapis.com/css2?family=Onest:wght@100..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Libre+Baskerville:ital,wght@0,400;0,700;1,400&display=swap" rel="stylesheet');

:root{

    --bg-black-900:#f2f2fc;
    --bg-black-100:#fdf9ff;
    --bg-black-50:#e8dfec;
    --text-black-900:#302e4d;
    --text-black-700:#504e70;

}
body.dark{
    

        --bg-black-900:#151515;
        --bg-black-100:#222222;
        --bg-black-50:#393939;
        --text-black-900:#ffffff;
        --text-black-700:#e9e9e9;
    
    
}

 *{
        margin: 0;
        padding: 0;
        box-sizing: border-box;
        border: none;
        outline: none;
        font-family: "Libre Baskerville", serif;
        scroll-behavior: smooth;
        transition: 0.3s ease-in-out;
    }

  
 .hero-section-container{
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: start;
    column-gap: 3rem;
    margin-top: 2rem;
    padding: 2rem 8rem 4rem 8rem;
    background-color: var(--bg-black-100);
}
.hero-container{
    width: fit-content;
    height: auto;
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: start;
    row-gap: 1rem;
    
}
.hero-title{
    width: 100%;
    height: auto;
   

}
.hero-title h1{
    font-size: 2.5rem;
    line-height: 2.8rem;
    color: var(--skin-color);
    letter-spacing: 0.05rem;
}
.hero-paraghaph{
    width: 59%;
    height: auto;
}
.hero-paraghaph p{
    font-size: 1.5rem;
    font-weight: 600;
    line-height: 1.8rem;
    letter-spacing: auto;
    color: var(--text-black-700);
}
.hero-paraghaph span{
    font-size: 2rem;
    font-weight: 400;
    line-height: 2.2rem;
    letter-spacing: 120%;
    color: var(--skin-color);
}
.hero-button{
    width: fit-content;
    height: auto;
}
.hero-button a button{
    background-color: var(--skin-color);
    color: var(--bg-black-100);
    padding: 1rem 2rem;
    font-size: 1.2rem;
    font-weight: 600;
    line-height: 1.5rem;
    letter-spacing: 0.05rem;
    outline: none;
    border-radius: 4rem;
    border: solid 1px var(--bg-black-900);
    transition: 0.5s ease;
    cursor: pointer;
    
}
.hero-button a button:hover{
    background-color: var(--bg-black-50);
    color: var(--text-black-900);
    border: solid 1px var(--skin-color);
    padding: 1rem 2rem;
    font-size: 1.2rem;
    font-weight: 600;
    line-height: 1.5rem;
    letter-spacing: 0.05rem;
    outline: none;
    
    
}
.image-div{
    width: fit-content;
    height: auto;
}
.image-div img{
    width: 1rem;
    height: 1rem;
}

.Portfolio-section-container{
    width: fit-content;
    height: auto;
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: start;
    padding: 2rem 8rem 2rem 8rem;
    background-color: var(--bg-black-900);
}
.portfolio-section{
    width: fit-content;
    height: auto;
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: start;
    row-gap: 2rem;
}
.Project-heading{
    width: 100%;
    height: fit-content;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    
}
.Project-heading h1{
    font-size: 2.8rem;
    font-weight: 600;
    line-height: 3.2rem;
    letter-spacing: 0.05rem;
    color: var(--text-black-700);
}  
.project-card-container{
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: row;
    align-items: start;
    flex-wrap: wrap;
    margin: 0;
    column-gap: 2rem;
    row-gap: 2rem;
   
}
.portfolio-card{
    width: 48%;
    height: auto;
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: start;
    row-gap: 0.8rem;
    border: solid 1px var(--text-black-700);
    padding: 1rem 1rem 2rem 2rem;
    border-radius: 2rem;
    
}
.image-container{
    width: 100%;
    height: auto;
}
.image-container img{
    width: 95%;
    height: auto;
    border-radius: 2rem;
}
.portfolio-title{
    width: fit-content;
    height: auto;
}
.portfolio-title h1{
    font-size: 1.5rem;
    font-size: 500;
    line-height: 1.8rem;
    letter-spacing: 0.05rem;
    color: var(--skin-color);
}
.portfolio-description{
    width: fit-content;
    height: auto;
}
.portfolio-description p{
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.2rem;
    letter-spacing: 0.05rem;
    color: var(--text-black-700);
}
.project-role-container{
    width: fit-content;
    height: auto;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    column-gap: 2rem;
}
.project-role-container button{
    width: fit-content;
    height: auto;
    padding: 1rem 1rem;
    font-size: 1.2rem;
    line-height: 1.5rem;
    letter-spacing: 0.05rem;
    font-weight: 400;
    background-color: var(--text-black-700);
    color: var(--bg-black-100);
    border-radius: 4rem;
}
.project-view-button{
    width: fit-content;
    height: auto;
    
}

.project-view-button button {
    font-size: 1rem;
    font-weight: 500;
    line-height: 1.2rem;
    letter-spacing: 0.05rem;
    background-color: var(--skin-color);
    color: var(--bg-black-900);
    outline: none;
    padding: 1rem 1.5rem;
    border-radius: 2rem;
    border: solid 1px var(--text-black-700);
    cursor: pointer;
    transition: 0.5s ease-in-out;
}
.project-view-button button:hover{
    background-color: var(--bg-black-50);
    color: var(--text-black-900);
    border: solid 1px var(--skin-color);

}
.project-view-button i{
    font-size: 1.2rem;
    color: var(--text-color);

}
.shot-section{
    width: 100%;
    height: auto;
    padding: 2rem 8rem 4rem 8rem;
    background-color: var(--bg-black-100);
    color: var(--text-black-700);
}
.shots-container{
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: start;
    row-gap: 2rem;
}
.shot-header{
    width: 100%;
    height: fit-content;
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: center;
    
}
.shot-header h1{
    font-size: 2.8rem;
    font-weight: 600;
    line-height: 3.2rem;
    letter-spacing: 0.05rem;
}
.shots-container-card{
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: row;
    justify-content: start;
    align-items: start;
    flex-wrap: wrap;
    row-gap: 2rem;
    column-gap: 2rem;
}
.shots-card{
    width: 48%;
    height: fit-content;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: start;
    row-gap: 1rem;
    border: 1px solid #606060;
    padding: 2rem 1rem 2rem 1rem ;
    border-radius: 2rem;
    transition: 0.3s ease-in-out;
}
.shots-card:hover{
    background-color: var(--skin-color);
}
.shot-title{
    width: 100%;
    height: auto;
    display: none;
    flex-direction: column;
    justify-content: start;
    align-items: center;
}
.shot-title h2{
    font-size: 1.5rem;
    font-family: 400;
    line-height: 1.8rem;
    letter-spacing: 0.05rem;
}
.shots-image{
    width: 100%;
    height: 100%;
    padding: 10rem;
    background-image: url(./images/Shots1.png);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    border-radius: 1rem;

}
.shot2{
    background-image: url(./images/shots\ 2.png);
}
.shot3{
    background-image: url(./images/shots\ 82.png);
}
.shot4{
    background-image: url(./images/shots\ 5.png);
}
.shot5{
    background-image: url(./images/scenes\ 5.png);
}
.shot6{
    background-image: url(./images/shots\ 11.jpg);
}
.shot7{
    background-image: url(./images/shots-8.png);
}
.shot8{
    background-image: url(./images/shots-3.png);
}
.shot9{
    background-image: url(./images/crypto\ mockup1.png);
}
.shot10{
    background-image: url(./images/home\ dashboard.png);
}

.shots-button{
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.shots-button button{
    font-size: 1rem;
    font-weight: 600;
    line-height: 1.2rem;
    letter-spacing: 0.05rem;
    background-color: var(--skin-color);
    color: var(--bg-black-100);
    outline: none;
    padding: 1rem 1.5rem;
    border-radius: 2rem;
    border: solid 1px var(--text-black-700);
    cursor: pointer;
    transition: 0.5s ease-in-out;

}
.shots-button button:hover{
    background-color: var(--text-black-700);
    color: var(--bg-black-100);
    transform: scale(1.20);
    
}
.section-button{
    width: 100%;
    height: auto;
    background-color: var(--text-black-700);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 2rem 0;
    row-gap: 0.5rem;

}
.section-button h3{
    font-size: 1.2rem;
    font-weight: 600;
    line-height: 1.5rem;
    letter-spacing: 0.05rem;
    color: var(--bg-black-50);
    
}
.section-button .button-container{
    width: fit-content;
    height: auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 1rem;
    border: solid 2px var(--bg-black-900);
    border-radius: 5rem;
    transition: 0.3s ease-in-out;

}

.section-button .button-container:hover{
    background-color: var(--skin-color);
    transform: rotate(-25deg);
}
.button-container a i{
    font-size: 4rem;
    color: var(--bg-black-50);

}
.social-links{
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding-bottom: 1rem;
    border-bottom: solid 1px var(--bg-black-50);
    margin-bottom: 1rem;
}
.social-links a i{
    font-size: 2rem;
    color: var(--bg-black-900);
    margin-right: 1rem;
    transition: 0.3e ease-in-out;
}
.social-links a i:hover{
    transform: scale(1.2);
    color: var(--skin-color);
}

@media screen and (max-width : 1200px) {
    .hero-section-container{
        width: fit-content;
        height: auto;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        align-items: start;
        row-gap: 3rem;
        margin-top: 2rem;
        padding: 2rem 4rem 4rem 4rem;
    }
    .hero-paraghaph{
        width: 100%;
        height: auto;
    }
    .Portfolio-section-container{
        width: fit-content;
        height: auto;
        display: flex;
        flex-direction: column;
        justify-content: start;
        align-items: start;
        padding: 2rem 2rem 2rem 2rem;

    }
    .project-role-container button{
        width: fit-content;
        height: auto;
        padding: 1rem 1rem;
        font-size: 1rem;
        line-height: 1.5rem;
        letter-spacing: 0.05rem;
        font-weight: 400;
        border-radius: 4rem;
    }
    .shot-section{
        width: 100%;
        height: auto;
        padding: 2rem 4rem 4rem 4rem;

    }
    
}
@media screen and (max-width : 960px){
    html{
        font-size: 85%;
    }
    .shot-section{
        width: 100%;
        height: auto;
        padding: 2rem 4rem 4rem 2rem;

    }
    .shots-image{
        width: 100%;
        height: auto;
        padding: 8rem;
        background-image: url(./images/Shots1.png);
        background-position: center;
        background-size: cover;
        background-repeat: no-repeat;
        border-radius: 1rem;
    
    }
    .shot2{
        background-image: url(./images/shots\ 2.png);
    }
    .shot3{
        background-image: url(./images/shots\ 10.jpg);
    }
    .shot4{
        background-image: url(./images/shots\ 4.jpg);
    }
    .shot2{
        background-image: url(./images/shots\ 2.png);
    }
    .shot3{
        background-image: url(./images/shots\ 82.png);
    }
    .shot4{
        background-image: url(./images/shots\ 5.png);
    }
    .shot5{
        background-image: url(./images/scenes\ 5.png);
    }
    .shot6{
        background-image: url(./images/shots\ 11.jpg);
    }
    .shot7{
        background-image: url(./images/shots-8.png);
    }
    .shot8{
        background-image: url(./images/shots-3.png);
    }
    .shot9{
        background-image: url(./images/crypto\ mockup1.png);
    }
    .shot10{
        background-image: url(./images/home\ dashboard.png);
    }
}

@media screen and (max-width : 890px){
    html{
        font-size: 100%;
    }
    .hero-section-container{
        width: fit-content;
        height: auto;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        align-items: start;
        row-gap: 3rem;
        margin-top: 2rem;
        padding:    2rem 1rem 2rem 1rem;
    }
    .Portfolio-section-container{
        width: fit-content;
        height: auto;
        display: flex;
        flex-direction: column;
        justify-content: start;
        align-items: start;
        padding: 1rem 1rem 1rem 1rem;

    }
    .project-card-container{
        width: 100%;
        height: auto;
        display: flex;
        flex-direction: column;
        align-items: start;
        flex-wrap: wrap;
        margin: 0;
        column-gap: 2rem;
        row-gap: 2rem;
    }
    .portfolio-card{
        width: 100%;
        height: auto;
        display: flex;
        flex-direction: column;
        justify-content: start;
        align-items: start;
        row-gap: 0.8rem;
        padding: 1rem 1rem 2rem 1rem;
        border-radius: 2rem;
    }
    .shot-section{
        width: 100%;
        height: auto;
        padding: 2rem 1rem 2rem 1rem;
    }
    .shots-card{
        width: 100%;
        height: auto;
        display: flex;
        flex-direction: column;
        justify-content: start;
        align-items: start;
        /* row-gap: 1rem; */
        padding: 2rem 1rem 2rem 1rem ;
        border-radius: 2rem;
    }
    .shots-image{
        width: 100%;
        height: auto;
        padding: 8rem;
        background-image: url(./images/Shots1.png);
        background-position: center;
        background-size: cover;
        background-repeat: no-repeat;
        border-radius: 1rem;
    
    }
    .shot2{
        background-image: url(./images/shots\ 2.png);
    }
    .shot3{
        background-image: url(./images/shots\ 10.jpg);
    }
    .shot4{
        background-image: url(./images/shots\ 4.jpg);
    }
    .shot2{
        background-image: url(./images/shots\ 2.png);
    }
    .shot3{
        background-image: url(./images/shots\ 82.png);
    }
    .shot4{
        background-image: url(./images/shots\ 5.png);
    }
    .shot5{
        background-image: url(./images/scenes\ 5.png);
    }
    .shot6{
        background-image: url(./images/shots\ 11.jpg);
    }
    .shot7{
        background-image: url(./images/shots-8.png);
    }
    .shot8{
        background-image: url(./images/shots-3.png);
    }
    .shot9{
        background-image: url(./images/crypto\ mockup1.png);
    }
    .shot10{
        background-image: url(./images/home\ dashboard.png);
    }
   
    .project-role-container button{
        width: fit-content;
        height: auto;
        padding: 1rem 1rem;
        font-size: 1.2rem;
        line-height: 1.5rem;
        letter-spacing: 0.02rem;
        font-weight: 300;
        border-radius: 4rem;
    }
    .button-container a i{
        font-size: 2rem;
        color: var(--bg-black-50);
    
    }
    .hero-paraghaph span{
        font-size: 1.5rem;
        font-weight: 400;
        line-height: 1.7rem;
        letter-spacing: 120%;
        color: var(--skin-color);
    }
}
@media screen and (max-width: 440px) {
    .shots-image{
        width: 100%;
        height: auto;
        padding: 8rem;
        background-position: center;
        background-size: cover;
        background-repeat: no-repeat;
        border-radius: 1rem;
    
    }
    .shot-section{
        width: 100%;
        height: auto;
        padding: 1rem 1rem 1rem 1rem;
    }
    .shots-card{
        width: 100%;
        height: auto;
        display: flex;
        flex-direction: column;
        justify-content: start;
        align-items: start;
        row-gap: 1rem;
        padding: 2rem 1rem 2rem 1rem ;
        border-radius: 2rem;
    }
    .project-role-container{
        width: fit-content;
        height: auto;
        display: flex;
        flex-direction: row;
        align-items: start;
        justify-content: start;
        row-gap: 0.5rem;
    }

    .button-container a i{
        font-size: 2rem;
    
    }
    .project-role-container button{
        font-size: 0.7rem;
    }
    
}





